Subject: emacs-25.0.94 build feedback

From: "Nelson H. F. Beebe" <[email-masked]>
Date: Sat, 28 May 2016 12:41:14 -0600

I'm pleased to report that I've successfully built and installed the
latest emacs-25.0.94 test release on at least 65 flavors of Unix in my
test lab of more than 80 such systems.

However, on FreeBSD 11 x86-64, I ran into an issue.  Configuring
selects -lgio in src/Makefile, but that library has a problem on that
system: it refers to a symbol [email-masked] that is not defined in
any of the 3492 libraries installed on my system.  Even a forced
reinstallation of the -lgio library did not resolve the missing
symbol.

I made numerous unsuccessful attempts with various --without-XXX
options at configure time to try to eliminate the reference to -lgio,
but all failed.

I then examined configure.ac, where it appears that -lgio has to do
with glib, but could still not see what library options are forcing
the inclusion of -lgio.

I finally succeeded in building the new emacs with

	./configure --without-all --with-x && gmake all

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------